[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: apt-get Problem

From: "Joerg Stephan" <joerg@jstephan.org>

> ERROR: /etc/X11/xkb/xkbcomp exists and is not a symbolic link.  This
> package
> cannot be installed until this file is removed.
> Aborting installation of xbase-clients package.
> dpkg: error processing
> /var/cache/apt/archives/xbase-clients_4.1.0-16_i386.deb (--unpack):
>   subprocess pre-installation script returned error exit status 1
> Errors were encountered while processing:
>   /var/cache/apt/archives/xbase-clients_4.1.0-16_i386.deb
> E: Sub-process /usr/bin/dpkg returned an error code (1)
> So i just need a way to telle apt-get that it should stop trying to
> install xbase_client.

Probably not.  After all, how _is_ KDE going to run without X...  What you need
is to rename your xkbcomp file and install xbase-clients, then figure out what's
different between the old and new xbkcomp and whether you _really_ need what's
in the old one.

btw, this isn't a debian-laptop question - maybe debian-kde if you _really_
think it shouldn't be requiring xbase-clients, otherwise debian-users.

Reply to: